| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
oyStruct_s Struct Reference
Objects_generic

Oyranos base structure. More...

`#include <oyStruct_s.h>`

Inheritance diagram for oyStruct_s:
Collaboration diagram for oyStruct_s:

## Public Member Functions
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get a text dump More...

## Data Fields
oyStruct_Copy_f | copy
oyStruct_Release_f | release

## Detailed Description

Oyranos base structure.

All Oyranos structures should be castable to this basic one.

Note
  New templates will not be created automaticly [notemplates]

Version
  Oyranos: x.x.x

Since
  Oyranos: version 0.1.8

Date
  1 january 2008 (API 0.1.8)

## Member Function Documentation

const char * oyStruct_GetText | ( | oyStruct_s * | obj,
|  | oyNAME_e | name_type,
|  | uint32_t | flags
| ) |  |

get a text dump

Function oyStruct_GetText

Ask the object type module for text informations.

Parameters

  obj | the object
  name_type | the text type
  flags | 0: get object infos 1: get object type infos

Returns
  the text

Version
  Oyranos: 0.1.10

Since
  2009/09/14 (Oyranos: 0.1.10)

Date
  2009/09/15

References oyNAME_NICK, oyOBJECT_CMM_API9_S, oyOBJECT_CMM_DATA_TYPES_S, and oyStructTypeToText().

Referenced by oyOption_s::oyOption_GetText(), oyObserver_s::oyStruct_EnableSignalSend(), oyObserver_s::oyStruct_ObserverCopyModel(), oyObserver_s::oyStruct_ObserverCopyObserver(), and oyObserver_s::oyStruct_ObserverSignal().

## Field Documentation

oyStruct_Copy_f oyStruct_s::copy

copy function

Referenced by oyFilterNode_s::oyFilterNode_GetData(), oyFilterNode_s::oyFilterNode_SetData(), oyFilterSocket_s::oyFilterSocket_SetData(), oyOption_s::oyOption_GetStruct(), oyOptions_s::oyOptions_GetType(), oyPixelAccess_s::oyPixelAccess_SetUserData(), oyObserver_s::oyStruct_ObserverAdd(), and oyStructList_s::oyStructList_CopyFrom().

oyStruct_Release_f oyStruct_s::release

release function

Referenced by oyFilterGraph_s::oyFilterGraph_ToText(), oyObserver_s::oyObserver_Release(), oyStructList_s::oyStructList_GetRefType(), and oyValue_u::oyValueClear().